This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 614648 - Slows down to the point of unusability
Slows down to the point of unusability
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 17:46 EDT by Adam Williamson
Modified: 2012-08-16 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2010-07-14 17:46:21 EDT
Current Rawhide, gedit-2.31.3-1.fc14.x86_64 . When I launch gedit it works fine. If I start typing something substantial, text entry gets laggy. After I've typed a couple of paragraphs, it gets to a point where I can type a sentence and see absolutely no feedback on the screen. Then I sit still and stare at the screen for about 30 seconds, at which point what I've typed finally appears in a big clump. During the time I'm waiting, the gedit window is unresponsive and the cursor doesn't render when I move the mouse over it. Then I type another sentence and wait again. If I restart gedit the cycle starts over.

(This isn't a super crazy long document, or anything, just an FWN beat - 923 words.)
Comment 1 Adam Williamson 2010-07-14 18:20:51 EDT
actually, now it looks even weirder - it seems to be somehow related to the paragraph (or, really, line, since I'm just typing into one long line and gedit wraps it). If I type onto the end of this line:

The proven testers project was well underway, with most of the mentor requests being handled and many group members actively posting feedback. Aaron Farnes proposed<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091860.html</ref> a substantial revision to the wiki page<ref>http://fedoraproject.org/wiki/User:Dafrito/Proven_tester</ref> which would incorporate information on joining the group (which was a separate page) and on the mentoring process (which was not yet documented), as well as rewriting the testing instructions. [[User:Jdulaney|John Dulaney]] liked it<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091861.html</ref>, as did [[User:Jlaska|James Laska]]<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091879.html</ref>. [[User:Adamwill|Adam Williamson]] thought it was well laid out, but too wordy and too far abstracted to work as a clear set of instructions for prospective proven testers<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091887.html</ref>. Later, he posted<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091984.html</ref> an alternative draft<ref>http://fedoraproject.org/wiki/User:Adamwill/Draft_proventesters</ref> which made fewer changes from the existing page, adding in information on joining the group and on the mentoring process with minimal disruption to the existing content. Aaron liked it<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091985.html</ref>.

it's very slow, as described above. Typing into a paragraph that's shorter, but still with quite a few links and usernames like above, is less laggy but still laggy. Typing into a much shorter line, like:

[[User:Crantila|Christopher Antila]] wrote to let the group know<ref>http://lists.fedoraproject.org/pipermail/test/2010-July/091987.html</ref> that the Docs SIG had been working on a guide to creating music with Fedora<ref>https://fedoraproject.org/wiki/User:Crantila/FSC/Testing</ref>. He asked for help checking the consistency and language in the guide, and also for testers to try and follow the guide and provide feedback on whether it comprehensively covered the necessary information.

is fine. This is all within the same document in the same gedit session.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2010-07-30 08:35:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 16:11:25 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.